> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `POST /api/v1/loyalty/programs`

> `POST /api/v1/loyalty/programs`

### Request body

`CreateLoyaltyProgramRequest`

<ParamField body="description" type="string,null">
  Human-readable description.
</ParamField>

<ParamField body="name" type="string" required>
  Program name.
</ParamField>

<ParamField body="points_per_dollar" type="integer,null (int32)">
  Points earned per dollar spent.
</ParamField>

### Responses

<ResponseField name="201" type="LoyaltyProgramResponse">
  Loyalty program created
</ResponseField>

<ResponseField name="400" type="ErrorBody">
  Invalid request
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/loyalty/programs' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "description": null,
    "name": "string",
    "points_per_dollar": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "created_at": "2026-07-24T12:00:00Z",
    "description": "string",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "is_active": true,
    "name": "string",
    "points_per_dollar": 1,
    "updated_at": "2026-07-24T12:00:00Z"
  }
  ```
</ResponseExample>
